{
	"format_version": "1.8.0",
	"animations": {
		"animation.penguin.swim": {
			"loop": true,
			"anim_time_update": "query.modified_distance_moved",
			"bones": {
				"body": {
					"rotation": [90, 0, 0],
					"position": [0, 5, 8]
				},
				"leg0": {
					"rotation": ["Math.cos(query.anim_time *38.17 *4) * 20", 0, 0]
				},
				"leg1": {
					"rotation": ["Math.cos(query.anim_time *38.17 *4) * -20", 0, 0]
				},
				"head": {
					"rotation": [-45, 0, 0]
				},
				"wing0": {
					"rotation": [0, 0, "Math.cos(query.anim_time *38.17) * 20 -20"]
				},
				"wing1": {
					"rotation": [0, 0, "Math.cos(query.anim_time *38.17) * -20 +20"]
				}
			}
		},
		"animation.penguin.walk": {
			"loop": true,
			"anim_time_update": "query.modified_distance_moved",
			"bones": {
				"body": {
					"rotation": [0, 0, "Math.cos(query.anim_time *38.17 *2) * -3"]
				},
				"wing0": {
					"rotation": [0, 0, "Math.cos(query.anim_time *38.17 *4) * 15 - 15"]
				},
				"wing1": {
					"rotation": [0, 0, "Math.cos(query.anim_time *38.17 *4) * -15 + 15"]
				}
			}
		}
	}
}